﻿using System.Collections.ObjectModel;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace AutoSizeRowsNET6
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ObservableCollection<RowModel> list = new ObservableCollection<RowModel>();
            list.Add(new RowModel() { First = "1-1st", Second = "1-2nd\nSecond" });
            list.Add(new RowModel() { First = "2-1st", Second = "2-2nd\nSecond" });
            grid.ItemsSource = list;
        }

        private void grid_Loaded(object sender, RoutedEventArgs e)
        {
            grid.AutoSizeRows(0, grid.Rows.Count - 1);
        }
    }

    public class RowModel
    {
        public string? First { get; set; }
        public string? Second { get; set; }
    }
}